package eu.dnetlib.scholix.api.index;

import org.elasticsearch.client.RestHighLevelClient;

public class ElasticSearchPool extends Pool<RestHighLevelClient> {

    private final ElasticSearchProperties elasticSearchProperties;

    public ElasticSearchPool(ElasticSearchProperties elasticSearchProperties){
        super(elasticSearchProperties, new ElasticSearchClientFactory(elasticSearchProperties));
        this.elasticSearchProperties = elasticSearchProperties;
    }

    public ElasticSearchProperties getElasticSearchProperties() {
        return elasticSearchProperties;
    }
}


